//written by: scott xu
//tested by: scott xu
//debugged by: scott xu


import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.BoxLayout;


public class ManagerGUI extends JFrame {

	private JPanel contentPane;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) { //main function
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					ManagerGUI frame = new ManagerGUI();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public ManagerGUI() {
		setTitle("Food Ratings (Manager)");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		
		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		
		JMenu mnInventory = new JMenu("System");
		menuBar.add(mnInventory);
		
		JMenuItem mntmExit = new JMenuItem("Exit");
		mntmExit.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) {
				//JOptionPane.showConfirmDialog(null, "Are you sure you want to exit?", "Alert", JOptionPane.YES_NO_OPTION);
			}
		});
		mnInventory.add(mntmExit);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.X_AXIS));
		
		JLabel lblNewLabel = new JLabel("Select an option:");
		contentPane.add(lblNewLabel);
		
		JButton btnViewItemRatingscomments = new JButton("View Item Ratings/Comments");  //only button for manager is to view ratings
		btnViewItemRatingscomments.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) {  //call ViewItem when button clicked
				ViewItem viewItemFrame = new ViewItem();
				viewItemFrame.setVisible(true);
			}
		});
		contentPane.add(btnViewItemRatingscomments);
	}

}
