//written by: scott xu
//tested by: scott xu
//debugged by: scott xu



import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.GridBagLayout;
import javax.swing.JTextField;
import java.awt.GridBagConstraints;
import java.awt.Insets;


public class HamburgerRating extends JFrame {

	private JPanel contentPane;
	private JTextField txtCustomerASafe;
	private JTextField txtCustomerGreatQuality;
	private JTextField txtCustomerMediocreBurger;

	/**
	 * Launch the application.
	 */
	
	/*
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					HamburgerRating frame = new HamburgerRating();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}
	*/

	/**
	 * Create the frame.
	 */
	public HamburgerRating() {
		setTitle("Hamburger Comments & Ratings");
		//setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		GridBagLayout gbl_contentPane = new GridBagLayout();
		gbl_contentPane.columnWidths = new int[]{0, 0};
		gbl_contentPane.rowHeights = new int[]{0, 0, 0, 0};
		gbl_contentPane.columnWeights = new double[]{1.0, Double.MIN_VALUE};
		gbl_contentPane.rowWeights = new double[]{0.0, 0.0, 0.0, Double.MIN_VALUE};
		contentPane.setLayout(gbl_contentPane);
		
		txtCustomerASafe = new JTextField();
		txtCustomerASafe.setText("customer1: A safe choice, good topping selection.  4/5 stars. ");
		txtCustomerASafe.setEditable(false);
		GridBagConstraints gbc_txtCustomerASafe = new GridBagConstraints();
		gbc_txtCustomerASafe.insets = new Insets(0, 0, 5, 0);
		gbc_txtCustomerASafe.fill = GridBagConstraints.HORIZONTAL;
		gbc_txtCustomerASafe.gridx = 0;
		gbc_txtCustomerASafe.gridy = 0;
		contentPane.add(txtCustomerASafe, gbc_txtCustomerASafe);
		txtCustomerASafe.setColumns(10);
		
		txtCustomerGreatQuality = new JTextField();
		txtCustomerGreatQuality.setText("customer2: Great quality meat, fresh toppings.  5/5 stars. ");
		txtCustomerGreatQuality.setEditable(false);
		GridBagConstraints gbc_txtCustomerGreatQuality = new GridBagConstraints();
		gbc_txtCustomerGreatQuality.insets = new Insets(0, 0, 5, 0);
		gbc_txtCustomerGreatQuality.fill = GridBagConstraints.HORIZONTAL;
		gbc_txtCustomerGreatQuality.gridx = 0;
		gbc_txtCustomerGreatQuality.gridy = 1;
		contentPane.add(txtCustomerGreatQuality, gbc_txtCustomerGreatQuality);
		txtCustomerGreatQuality.setColumns(10);
		
		txtCustomerMediocreBurger = new JTextField();
		txtCustomerMediocreBurger.setText("customer3: Mediocre burger. Feels like it is missing something.  3/5 stars.");
		txtCustomerMediocreBurger.setEditable(false);
		GridBagConstraints gbc_txtCustomerMediocreBurger = new GridBagConstraints();
		gbc_txtCustomerMediocreBurger.fill = GridBagConstraints.HORIZONTAL;
		gbc_txtCustomerMediocreBurger.gridx = 0;
		gbc_txtCustomerMediocreBurger.gridy = 2;
		contentPane.add(txtCustomerMediocreBurger, gbc_txtCustomerMediocreBurger);
		txtCustomerMediocreBurger.setColumns(10);
	}

}
