//written by: scott xu
//tested by: scott xu
//debugged by: scott xu

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.FlowLayout;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;


public class ViewItem extends JFrame {

	private JPanel contentPane;

	/**
	 * Launch the application.
	 */
	/*
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					ViewItem frame = new ViewItem();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}
	*/

	/**
	 * Create the frame.
	 */
	public ViewItem() {
		setTitle("Select Item to View");
		//setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(new FlowLayout(FlowLayout.CENTER, 5, 5));
		
		//the following are buttons for example food items on the menu
		//for now, these ratings are hardcoded, but will be dynamically retrieved in the final version
		JButton btnHamburger = new JButton("Hamburger");
		btnHamburger.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) { //display a window to view hamburger ratings
				HamburgerRating hamburgerRatingFrame = new HamburgerRating();
				hamburgerRatingFrame.setVisible(true);
			}
		});
		contentPane.add(btnHamburger);
		
		JButton btnCheeseburger = new JButton("Cheeseburger");
		btnCheeseburger.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) { //display a window to view cheeseburger ratings
				CheeseburgerRating cheeseburgerRatingFrame = new CheeseburgerRating();
				cheeseburgerRatingFrame.setVisible(true);
			}
		});
		contentPane.add(btnCheeseburger);
		
		JButton btnFrenchFries = new JButton("French Fries");
		btnFrenchFries.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent e) { //display a window to view french fry ratings
				FrenchFriesRating frenchFriesRatingFrame = new FrenchFriesRating();
				frenchFriesRatingFrame.setVisible(true);
			}
		});
		contentPane.add(btnFrenchFries);
		
		//these buttons were not implemented due to shortage of time
		JButton btnHotDog = new JButton("Hot Dog");
		contentPane.add(btnHotDog);
		
		JButton btnChiliDog = new JButton("Chili Dog");
		contentPane.add(btnChiliDog);
		
		JButton btnFriedZucchini = new JButton("Fried Zucchini");
		contentPane.add(btnFriedZucchini);
		
		JButton btnWings = new JButton("Wings");
		contentPane.add(btnWings);
	}

}
