//written by: scott xu
//tested by: scott xu
//debugged by: scott xu

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.ButtonGroup;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.GridBagLayout;
import javax.swing.JLabel;
import java.awt.GridBagConstraints;
import javax.swing.JTextField;
import java.awt.Insets;
import javax.swing.JRadioButton;
import javax.swing.JButton;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;


public class RateHamburger extends JFrame {

	private JPanel contentPane;
	private JTextField textField;
	private JTextField textField_1;
	private item hamburger;

	/**
	 * Launch the application.
	 */
	/*
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					RateHamburger frame = new RateHamburger();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}
	*/

	/**
	 * Create the frame.
	 */
	public RateHamburger() {
		setTitle("Rate Hamburger");
		//setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 492, 374);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		GridBagLayout gbl_contentPane = new GridBagLayout();
		gbl_contentPane.columnWidths = new int[]{0, 0};
		gbl_contentPane.rowHeights = new int[]{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
		gbl_contentPane.columnWeights = new double[]{1.0, Double.MIN_VALUE};
		gbl_contentPane.rowWeights = new double[]{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, Double.MIN_VALUE};
		contentPane.setLayout(gbl_contentPane);
		
		JLabel lblCustomerName = new JLabel("Customer Name:");
		GridBagConstraints gbc_lblCustomerName = new GridBagConstraints();
		gbc_lblCustomerName.anchor = GridBagConstraints.WEST;
		gbc_lblCustomerName.insets = new Insets(0, 0, 5, 0);
		gbc_lblCustomerName.gridx = 0;
		gbc_lblCustomerName.gridy = 0;
		contentPane.add(lblCustomerName, gbc_lblCustomerName);
		
		textField = new JTextField();
		GridBagConstraints gbc_textField = new GridBagConstraints();
		gbc_textField.insets = new Insets(0, 0, 5, 0);
		gbc_textField.anchor = GridBagConstraints.WEST;
		gbc_textField.gridx = 0;
		gbc_textField.gridy = 1;
		contentPane.add(textField, gbc_textField);
		textField.setColumns(10);
		
		JLabel lblRating = new JLabel("Rating: ");
		GridBagConstraints gbc_lblRating = new GridBagConstraints();
		gbc_lblRating.anchor = GridBagConstraints.WEST;
		gbc_lblRating.insets = new Insets(0, 0, 5, 0);
		gbc_lblRating.gridx = 0;
		gbc_lblRating.gridy = 3;
		contentPane.add(lblRating, gbc_lblRating);
		
		JRadioButton radioButton = new JRadioButton("5");
		GridBagConstraints gbc_radioButton = new GridBagConstraints();
		gbc_radioButton.insets = new Insets(0, 0, 5, 0);
		gbc_radioButton.anchor = GridBagConstraints.WEST;
		gbc_radioButton.gridx = 0;
		gbc_radioButton.gridy = 4;
		contentPane.add(radioButton, gbc_radioButton);
		
		JRadioButton radioButton_1 = new JRadioButton("4");
		GridBagConstraints gbc_radioButton_1 = new GridBagConstraints();
		gbc_radioButton_1.anchor = GridBagConstraints.WEST;
		gbc_radioButton_1.insets = new Insets(0, 0, 5, 0);
		gbc_radioButton_1.gridx = 0;
		gbc_radioButton_1.gridy = 5;
		contentPane.add(radioButton_1, gbc_radioButton_1);
		
		JRadioButton radioButton_2 = new JRadioButton("3");
		GridBagConstraints gbc_radioButton_2 = new GridBagConstraints();
		gbc_radioButton_2.anchor = GridBagConstraints.WEST;
		gbc_radioButton_2.insets = new Insets(0, 0, 5, 0);
		gbc_radioButton_2.gridx = 0;
		gbc_radioButton_2.gridy = 6;
		contentPane.add(radioButton_2, gbc_radioButton_2);
		
		JRadioButton radioButton_3 = new JRadioButton("2");
		GridBagConstraints gbc_radioButton_3 = new GridBagConstraints();
		gbc_radioButton_3.anchor = GridBagConstraints.WEST;
		gbc_radioButton_3.insets = new Insets(0, 0, 5, 0);
		gbc_radioButton_3.gridx = 0;
		gbc_radioButton_3.gridy = 7;
		contentPane.add(radioButton_3, gbc_radioButton_3);
		
		JRadioButton radioButton_4 = new JRadioButton("1");
		GridBagConstraints gbc_radioButton_4 = new GridBagConstraints();
		gbc_radioButton_4.insets = new Insets(0, 0, 5, 0);
		gbc_radioButton_4.anchor = GridBagConstraints.WEST;
		gbc_radioButton_4.gridx = 0;
		gbc_radioButton_4.gridy = 8;
		contentPane.add(radioButton_4, gbc_radioButton_4);
		
		final ButtonGroup bg1 = new ButtonGroup();

		bg1.add(radioButton);
		bg1.add(radioButton_1);
		bg1.add(radioButton_2);
		bg1.add(radioButton_3);
		bg1.add(radioButton_4);
		
		JLabel lblComments = new JLabel("Comments:");
		GridBagConstraints gbc_lblComments = new GridBagConstraints();
		gbc_lblComments.insets = new Insets(0, 0, 5, 0);
		gbc_lblComments.anchor = GridBagConstraints.WEST;
		gbc_lblComments.gridx = 0;
		gbc_lblComments.gridy = 10;
		contentPane.add(lblComments, gbc_lblComments);
		
		textField_1 = new JTextField();
		GridBagConstraints gbc_textField_1 = new GridBagConstraints();
		gbc_textField_1.insets = new Insets(0, 0, 5, 0);
		gbc_textField_1.fill = GridBagConstraints.BOTH;
		gbc_textField_1.gridx = 0;
		gbc_textField_1.gridy = 11;
		contentPane.add(textField_1, gbc_textField_1);
		textField_1.setColumns(10);
		
		JButton btnSubmit = new JButton("Submit!");
		btnSubmit.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) {
				//hamburger.add(new rating(textField.getText(), Integer.parseInt(bg1.getSelection().getActionCommand()), textField_1.getText()));
				//need something to close window on button click
			}
		});
		GridBagConstraints gbc_btnSubmit = new GridBagConstraints();
		gbc_btnSubmit.gridx = 0;
		gbc_btnSubmit.gridy = 12;
		contentPane.add(btnSubmit, gbc_btnSubmit);
		
	}

}
