//written by: Joshua Devasagayaraj
//tested by: Joshua Devasagayaraj
//debugged by: Joshua Devasagayaraj


/**
 * The Class MenuItem is a container for a menu item. It does
 * not contain all of the items relatd to a  menu items, but
 * only those that make the waiter gui functional.
 */
public class MenuItem {

	/** The id of the menu item */
	int id;

	/** The name of the menu item */
	String name;

	/** The table number associated with the menu item when it is ordered. */
	int tableNum;

	/**
	 * Instantiates a new menu item.
	 *
	 * @param id the id
	 * @param name the name
	 * @param tableNum the table num
	 */
	public MenuItem(int id, String name, int tableNum) {
		this.id = id;
		this.name = name;
		this.tableNum = tableNum;
	}

	/**
	 * toString method for the menu item.
	 */
	public String toString() {
		return name + ", table: " + tableNum;
	}

}